Skip to main content
`Ctrl`+`K`

# PetscViewerExodusIIGetId

Get the file id of the `PETSCVIEWEREXODUSII` file

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode PetscViewerExodusIIGetId(PetscViewer viewer, int *exoid)

Logically Collective

## Input Parameter

- viewer - the `PetscViewer`

## Output Parameter

- exoid - The ExodusII file id

## See Also

`PETSCVIEWEREXODUSII`, `PetscViewer`, `PetscViewerFileSetMode()`, `PetscViewerCreate()`, `PetscViewerSetType()`, `PetscViewerBinaryOpen()`

## Level

intermediate

## Location

src/dm/impls/plex/plexexodusii.c

## Implementations

PetscViewerExodusIIGetId_ExodusII() in src/dm/impls/plex/exodusii/plexexodusii2.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages